Name:           kmetronome
Version:        0.10.1
Release:        3%{?dist}
License:        GPLv2+
Summary:        KDE MIDI Metronome using ALSA Sequencer
Group:          Applications/Multimedia
URL:            http://kmetronome.sourceforge.net
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  kdelibs4-devel
BuildRequires:  drumstick-devel >= 0.5
BuildRequires:  desktop-file-utils
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
KMetronome is a MIDI metronome with KDE interface, based on the ALSA
sequencer. The intended audience is musicians and music students. Like
solid, real metronomes it is a tool to keep the rhythm while playing musical
instruments. It uses MIDI for sound generation instead of digital audio,
allowing low CPU usage, and very accurate timing thanks to the ALSA sequencer.

%prep
%setup -q
# ensure the bundled library not linked
rm -fr drumstick/

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
%find_lang %{name} --with-kde
# check the .desktop file
desktop-file-validate $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc README ChangeLog AUTHORS TODO COPYING NEWS
%{_kde4_bindir}/%{name}
%{_kde4_appsdir}/%{name}/
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/dbus-1/*/*
%{_mandir}/man1/%{name}.1.*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun  4 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jul 29 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-3
- Fix a typo
- Add scriptlets to update the icon cache

* Sun Jun 26 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-2
- Add kde4-macros(api) requirement
- BR: gettext and desktop-file-utils added, alsa-lib-devel removed
- Check the desktop entry file
- Drop explicit %%doc tag from the manpage

* Thu Jun  9 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.10.0-1
- Initial specfile
